/*
 * blancoDb Enterprise Edition
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.dbee.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.plugin.dbee.BlancoDbEEPluginConstants;

public class BlancoDbEEWizardPage99 extends AbstractBlancoDbEEWizardPage99 {
    public BlancoDbEEWizardPage99(ISelection selection) {
        super(selection);
        setTitle("blancoDbEEプラグイン利用支援ウィザードの完了");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText("blancoDbEEプラグイン利用支援ウィザードは これで完了しました。");
        new Label(container, SWT.NONE)
                .setText("  1.ウィザードを完了後に 「blancoDb設定ファイル エディタ」が表示されます。");
        new Label(container, SWT.NONE).setText("    この画面は "
                + BlancoDbEEPluginConstants.TARGET_FILENAME
                + "ファイルのエディタプログラムに相当します。");
        new Label(container, SWT.NONE).setText("  2.画面表示に従って操作を進めてください。");

        setControl(container);
    }
}